<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Service Profiler License Key remote management</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="../../css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      <script type="text/javascript" src="/WiaServiceProfiler/tablesorter/tablesorter.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      %end invoke%
      <style>
         table.results td {
            padding-left:1em;
            padding-right:1em;
         }
         table.results td.message-text {
            min-width:50em;
         }
         table.results tbody td,
         table.results td.columnHeading,
         table.results td.columnHeading-r,
         table.results td.columnHeading-c {
            padding-top:0;
            padding-bottom:0;
            height:18px;
         }
      </style>
      <script type="text/javascript">
         <!-- // Activate cloak

         TableSorter.imagesFolder = "/WiaServiceProfiler/" + TableSorter.imagesFolder;

         // Deactivate cloak -->
      </script>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Remote Service Profilers &gt; Set License Key Results</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="license-key-status.dsp">License Keys Status</a></li>
               </ul>
            </td>
            <td class="navbar">
               <ul>
                  <li><a href="../../">Home</a></li>
                  <li><a href="../../doc/PackageHelp.html#setlicensekeyresults" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         %invoke wia.pub.isspscoll.ui.remoteLicenseStatus:setLicenseKey%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <div class="note">
                     <p>
                        In the table below you can view the results of updating the <span class="systemname">License Key</span>
                        of the remote selected <span class="productname">Service Profiler</span>(s).
                     </p>
                  </div>
                  <table class="results" sortable="true">
                     <thead>
                        <tr class="heading">
                           <td colspan="3">License Key Update Results</td>
                        </tr>
                        <tr>
                           <td class="columnHeading"   sortable="true">Host</td>
                           <td class="columnHeading-r" sortable="true" sortType="number">Port</td>
                           <td class="columnHeading message-text">Message</td>
                        </tr>
                     </thead>
                     <tbody>
                        %ifvar Servers%
                           %loop Servers%
                              <tr class="selectableRowStripped">
                                 <td class="oddrow-l">%value host%</td>
                                 <td class="oddrow">%value port%</td>
                                 <td class="oddrow-l">%ifvar message%%value message%%else%License successfully set%end if%</td>
                              </tr>
                           %end loop%
                        %else%
                           <tr>
                              <td class="oddrow-l" colspan="3">No server was updated.</td>
                           </tr>
                        %end if%
                     </tbody>
                  </table>
               </td>
            </tr>
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  Error launching the set License Key service.</br>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %end invoke%
      </table>
   </body>
</html>
